io.vertx.core.http

## Enum HttpVersion

- java.lang.Object
- - java.lang.Enum<HttpVersion>
  - - io.vertx.core.http.HttpVersion

- All Implemented Interfaces:
    Serializable, Comparable<HttpVersion>

      public enum HttpVersion
      extends Enum<HttpVersion>

  Represents the version of the HTTP protocol.
  Author:
    Tim Fox

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HTTP_1_0`
    `HTTP_1_1`
    `HTTP_2`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `alpnName()`
    `static HttpVersion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HttpVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HTTP_1_0

          public static final HttpVersion HTTP_1_0

    - #### HTTP_1_1

          public static final HttpVersion HTTP_1_1

    - #### HTTP_2

          public static final HttpVersion HTTP_2

  - ### Method Detail

    - #### values

          public static HttpVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HttpVersion c : HttpVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HttpVersion valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### alpnName

          public String alpnName()

      Returns:
        the protocol name for Application-Layer Protocol Negotiation (ALPN).

Copyright © 2022 Eclipse. All rights reserved.